Bug 842016 - libdvdread-devel: DVDFileStat is broken
libdvdread-devel: DVDFileStat is broken
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libdvdread (Show other bugs)
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Honza Horak
Desktop QE
: Patch
Depends On:
  Show dependency treegraph
Reported: 2012-07-20 17:40 EDT by repomaint-rhbz
Modified: 2013-03-21 04:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 540155
Last Closed: 2012-09-10 08:56:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch used in recent version (840 bytes, patch)
2012-07-23 08:48 EDT, Honza Horak
no flags Details | Diff
patch used in recent version (1.48 KB, patch)
2012-07-23 08:51 EDT, Honza Horak
no flags Details | Diff

  None (edit)
Description repomaint-rhbz 2012-07-20 17:40:01 EDT
the RHEL6 libdvdread RPM is also affected by Bug #540155

+++ This bug was initially created as a clone of Bug #540155 +++

Description of problem: The function DVDFileStat requires a pointer to an allocated dvd_stat_t. However, dvd_stat_t is an opaque structure so it cannot be allocated. The function is then unusable.

Version-Release number of selected component (if applicable): 4.1.4-0.2.svn1183

How reproducible:

Steps to Reproduce:
1. Try compiling the following program:
#include <stdio.h>

#include <dvdread/dvd_reader.h>

main (void)
  dvd_reader_t *reader;

  reader = DVDOpen ("/dev/dvd");
  if (reader)
    dvd_stat_t statbuf;

    if (DVDFileStat (reader, 0, DVD_READ_MENU_VOBS, &statbuf) == 0)
      printf ("Size of VIDEO_TS.VOB: %lu", statbuf.size);

    DVDClose (reader);

  return 0;
Actual results:
foo.c: In function 'main':
foo.c:13: error: storage size of 'statbuf' isn't known

Expected results:
No error at all.
Comment 2 Honza Horak 2012-07-23 08:48:10 EDT
Created attachment 599774 [details]
patch used in recent version

The fix is obvious and testing should be easy, proposing as fastrack.
Comment 3 Honza Horak 2012-07-23 08:51:39 EDT
Created attachment 599775 [details]
patch used in recent version
Comment 11 errata-xmlrpc 2012-09-10 08:56:46 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.